Skip to main content
GET
/
v1
/
agents
/
sessions
/
{sessionId}
/
turns
/
{turnId}
Error
A valid request URL is required to generate request examples
{
  "data": {
    "id": "<string>",
    "session_id": "<string>",
    "previous_turn_id": "<string>",
    "state": {
      "status": "running"
    },
    "created_by_subject": {
      "subject_id": "<string>",
      "subject_type": "<string>",
      "subject_slug": "<string>"
    },
    "created_at": "<string>",
    "input": [
      {
        "type": "user.message",
        "content": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sessionId
string
required

Session identifier (.).

Minimum string length: 1
Example:

"01arz3ndektsv4rrffq69g5fav.g"

turnId
string
required

Turn identifier (..).

Minimum string length: 1
Example:

"01arz3ndektsv4rrffq69g5fav.g.ab12cd"

Response

Turn data.

data
object
required